com.holonplatform.vaadin.components.builders

## Interface ItemListingBuilder.GridSection<ROWTYPE>

- Enclosing interface:
    ItemListingBuilder<T,P,C extends ItemListing<T,P>,B extends ItemListingBuilder<T,P,C,B,X>,X extends com.vaadin.ui.Component>

      public static interface ItemListingBuilder.GridSection<ROWTYPE>

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `ROWTYPE` | `addRowAt(int index)` Add a section row at given index.
    `ROWTYPE` | `appendRow()` Adds a new row at the bottom of the section.
    `ROWTYPE` | `getDefaultRow()` Returns the current default row of the section.
    `ROWTYPE` | `getRowAt(int index)` Get the section row at given index.
    `int` | `getRowCount()` Gets the row count for the section.
    `ROWTYPE` | `prependRow()` Adds a new row at the top of the section.
    `void` | `removeRow(int rowIndex)` Removes the row at the given position from the section.
    `void` | `setDefaultRow(int rowIndex)` Sets the default row of the section.

- - ### Method Detail

    - #### addRowAt

          ROWTYPE addRowAt(int index)

      Add a section row at given index.
      Parameters:
        `index` - Row index
      Returns:
        Added row

    - #### appendRow

          ROWTYPE appendRow()

      Adds a new row at the bottom of the section.
      Returns:
        the new row

    - #### getRowAt

          ROWTYPE getRowAt(int index)

      Get the section row at given index.
      Parameters:
        `index` - Row index
      Returns:
        Section row

    - #### getDefaultRow

          ROWTYPE getDefaultRow()

      Returns the current default row of the section.
      Returns:
        the default row or null if no default row set

    - #### getRowCount

          int getRowCount()

      Gets the row count for the section.
      Returns:
        row count

    - #### prependRow

          ROWTYPE prependRow()

      Adds a new row at the top of the section.
      Returns:
        the new row

    - #### removeRow

          void removeRow(int rowIndex)

      Removes the row at the given position from the section.
      Parameters:
        `rowIndex` - the position of the row

    - #### setDefaultRow

          void setDefaultRow(int rowIndex)

      Sets the default row of the section.
      Parameters:
        `rowIndex` - the position of the row

Copyright © 2019 The Holon Platform. All rights reserved.